<!DOCTYPE html>
<html>

<head>
    <meta charset='UTF-8'>
    <title>Modificando HTML #03</title>
    <link rel='stylesheet' href='css/estilo.css'>
    <script src='js/jquery.js'></script>
</head>

<body class='conteudo exercicio'>
    <h1>Modificando HTML #03</h1>
    <div id='conteudo'></div>

    <script>
        $(document).ready(function () {
            const pessoas = [
                { nome: 'Ana', nota: 9.1 },
                { nome: 'Bianca', nota: 8.4 },
                { nome: 'Carlos', nota: 7.6 },
                { nome: 'Julia', nota: 9.7 }
            ]

            const tabela = $('<table>')
            $('#conteudo').append(tabela)
            $(pessoas).each((i, e) => {
                const nome = $('<td>').append(e.nome)
                const nota = $('<td>').append(e.nota)
                const linha = $('<tr>').append(nome, nota)
                $('table').append(linha)
            })
        })
    </script>
</body>